//Contrles
#define ID_OK 16
#define ID_ANNULER 5
#define ID_RECOMMENCER 6
#define ID_TEXTE 1
#define ID_TEXTE_BACKGROUND 137
#define ID_LIST 2
#define ID_EDIT 3
#define ID_COMBO 4
#define ID_BACKGROUND 44
#define ID_BOX 14
#define ID_GOBACK 100
#define ID_ENREGISTRER 134
#define ID_IMPRIMER 135
#define ID_CHECK 133
#define ID_COEFF05 7
#define ID_COEFF1 8
#define ID_COEFF2 9
#define ID_COEFFAUTRE 10
#define ID_NOTE 45
#define ID_COEFF 46
#define ID_BOX2 47
#define ID_ABOUT 48
#define ID_EXEMPLE 49
#define ID_CHARGER 50
#define ID_BAC 51

//Split
char** split(char* chaine,const char* delim,int vide) {
    char** tab=NULL;
    char *ptr;
    int sizeStr;
    int sizeTab=0;
    char* largestring;
    int sizeDelim=strlen(delim);
    largestring=chaine;
    while((ptr=strstr(largestring,delim)) != NULL ) {
           sizeStr=ptr-largestring;
           if (vide == 1 || sizeStr != 0) {
               sizeTab++;
               tab=(char**)realloc(tab,sizeof(char*)*sizeTab);
               tab[sizeTab-1]=(char*)malloc(sizeof(char)*(sizeStr+1));
               strncpy(tab[sizeTab-1],largestring,sizeStr);
               tab[sizeTab-1][sizeStr]='\0';
           }
           ptr=ptr+sizeDelim;
           largestring=ptr;
    }
    if (strlen(largestring) != 0) {
           sizeStr=strlen(largestring);
           sizeTab++;
           tab=(char**)realloc(tab,sizeof(char*)*sizeTab);
           tab[sizeTab-1]=(char*)malloc( sizeof(char)*(sizeStr+1));
           strncpy(tab[sizeTab-1],largestring,sizeStr);
           tab[sizeTab-1][sizeStr]='\0';
    }
    else if (vide == 1) {
           sizeTab++;
           tab=(char**)realloc(tab,sizeof(char*)*sizeTab);
           tab[sizeTab-1]=(char*)malloc( sizeof(char)*1);
           tab[sizeTab-1][0]='\0';

    }
    sizeTab++;
    tab=(char**)realloc(tab,sizeof(char*)*sizeTab);
    tab[sizeTab-1]=NULL;
    return tab;
}
//Messages
#define MSG_L_LATIN_OU_GREC "\r\n  - Litraire, Latin ou Grec\r\n\r\n  test"
#define MSG_L_LANGUE_VIVANTE "\r\n  - Litraire, Langues vivantes\r\n\r\n  test"
#define MSG_L_MATHEMATIQUES "\r\n  - Litraire, Mathmatiques\r\n\r\n  test"
#define MSG_S_AGRONOMIE "\r\n  - Litraire, Agronomie\r\n\r\n  test"
#define MSG_S_MATHEMATIQUES "\r\n  - Scintifique, Mathmatiques\r\n\r\n  test"
#define MSG_S_PHYSIQUE_CHIMIE "\r\n  - Scintifique, Physique/Chimie\r\n\r\n  test"
#define MSG_S_SVT "\r\n  - Scintifique, Sciences de la Vie et de la Terre\r\n\r\n  test"
#define MSG_SES_LANGUE_VIVANTE "\r\n  - Sciences Economiques et Sociales, Langues vivantes\r\n\r\n  test"
#define MSG_SES_LATIN_OU_GREC "\r\n  - Sciences Economiques et Sociales, Latin ou Grec\r\n\r\n  test"
#define MSG_SES_SES "\r\n  - Sciences Economiques et Sociales, Economie\r\n\r\n  test"

void InitListView(HWND hDlg) {
    HWND hwndListView=GetDlgItem(hDlg,3);
    LV_COLUMN lvColumn;
    lvColumn.mask=LVCF_FMT|LVCF_WIDTH|LVCF_TEXT|LVCF_SUBITEM;
    lvColumn.fmt=LVCFMT_LEFT;
    lvColumn.cx=45;
    lvColumn.pszText="Dure";
    ListView_InsertColumn(hwndListView,0,(LPARAM)&lvColumn);
    lvColumn.cx=100;
    lvColumn.pszText="Coefficient";
    ListView_InsertColumn(hwndListView,0,(LPARAM)&lvColumn);
    lvColumn.cx=140;
    lvColumn.pszText="Matire";
    ListView_InsertColumn(hwndListView,0,(LPARAM)&lvColumn);
    SendMessage(hwndListView,(LVM_FIRST+54),0,32|16);
}
void Ajouter(HWND hDlg,char* nom,char* coeff,char* duree) {
    HWND hwndListView=GetDlgItem(hDlg,3);
    //Initialisation de la Structure de la ListView
    LVITEM LvItem;
    LvItem.mask=LVIF_TEXT|LVIF_PARAM|LVIF_STATE;
    LvItem.state=0;
    LvItem.stateMask=0;
    LvItem.iItem=0; //numro de l'item
    LvItem.lParam=0; //Sert lors d'un tri
    LvItem.iSubItem=0; //index dans la ligne
    int itemPos=ListView_InsertItem(hwndListView,(LPARAM)&LvItem);
    ListView_SetItemText(hwndListView,itemPos,0,nom);
    ListView_SetItemText(hwndListView,itemPos,1,coeff);
    ListView_SetItemText(hwndListView,itemPos,2,duree);
}
char Filieres[]=
    /* (0) L - Langues vivante 1 */
    "TPE (1re);2;30min\n"
    "EPS (contrle continu);2;-\n"
    "Sciences;2;N.C.\n"
    "Mathmatiques;2;N.C.\n"
    "Langue vivante 2;4;N.C.\n"
    "Langue vivante 1;8;N.C.\n"
    "Histoire-Gographie;4;N.C.\n"
    "Littrature;4;N.C.\n"
    "Philosophie;7;N.C.\n"
    "Franais (1re);3 (crit) + 2 (pratique);N.C.\n\t"
    /* (1) L - Langues vivante 2 */
    "TPE (1re);2;30min\n"
    "EPS (contrle continu);2;-\n"
    "Sciences;2;N.C.\n"
    "Mathmatiques;2;N.C.\n"
    "Langue vivante 2;8;N.C.\n"
    "Langue vivante 1;4;N.C.\n"
    "Histoire-Gographie;4;N.C.\n"
    "Littrature;4;N.C.\n"
    "Philosophie;7;N.C.\n"
    "Franais (1re);3 (crit) + 2 (pratique);N.C.\n\t"
    /* (2) L - Mathmatiques */
    "TPE (1re);2;30min\n"
    "EPS (contrle continu);2;-\n"
    "Sciences;2;N.C.\n"
    "Mathmatiques;5;N.C.\n"
    "Langue vivante 2;4;N.C.\n"
    "Langue vivante 1;4;N.C.\n"
    "Histoire-Gographie;4;N.C.\n"
    "Littrature;4;N.C.\n"
    "Philosophie;7;N.C.\n"
    "Franais (1re);3 (crit) + 2 (pratique);N.C.\n\t"
    /* (3) S - SI */
    "TPE (1re);2;30min\n"
    "EPS (contrle continu);2;-\n"
    "Langue vivante 2;2;2h\n"
    "Langue vivante 1;3;3h\n"
    "Philosophie;3;4h\n"
    "Franais (1re);2 (crit) + 2 (oral);4h (crit) + 20min (oral)\n"
    "Histoire-Gographie;3;4h\n"
    "Physique/Chimie;6;3h30 (crit) + 1h (pratique)\n"
    "Mathmatiques;7;4h\n"
    "Sciences de l'Ingnieur;4 (crit) + 5 (pratique);4h (crit) + 3h (pratique)\n\t"
    /* (4) S - SVT - SVT */
    "TPE (1re);2;30min\n"
    "EPS (contrle continu);2;-\n"
    "Langue vivante 2;2;2h\n"
    "Langue vivante 1;3;3h\n"
    "Philosophie;3;4h\n"
    "Franais (1re);2 (crit) + 2 (oral);4h (crit) + 20min (oral)\n"
    "Histoire-Gographie;3;4h\n"
    "Physique/Chimie;6;3h30 (crit) + 1h (pratique)\n"
    "Mathmatiques;7;4h\n"
    "Sciences de la Vie et de la Terre;8;3h30 (crit) + 1h (pratique)\n\t"
    /* (5) S - SVT - Mathematiques */
    "TPE (1re);2;30min\n"
    "EPS (contrle continu);2;-\n"
    "Langue vivante 2;2;2h\n"
    "Langue vivante 1;3;3h\n"
    "Philosophie;3;4h\n"
    "Franais (1re);2 (crit) + 2 (oral);4h (crit) + 20min (oral)\n"
    "Histoire-Gographie;3;4h\n"
    "Physique/Chimie;6;3h30 (crit) + 1h (pratique)\n"
    "Mathmatiques;9;4h\n"
    "Sciences de la Vie et de la Terre;6;3h30 (crit) + 1h (pratique)\n\t"
    /* (6) S - SVT - Physique/Chimie */
    "TPE (1re);2;30min\n"
    "EPS (contrle continu);2;-\n"
    "Langue vivante 2;2;2h\n"
    "Langue vivante 1;3;3h\n"
    "Philosophie;3;4h\n"
    "Franais (1re);2 (crit) + 2 (oral);4h (crit) + 20min (oral)\n"
    "Histoire-Gographie;3;4h\n"
    "Physique/Chimie;8;3h30 (crit) + 1h (pratique)\n"
    "Mathmatiques;7;4h\n"
    "Sciences de la Vie et de la Terre;6;3h30 (crit) + 1h (pratique)\n\t"
    /* (7) SES - Langues viv. */
    "TPE (1re);2;30min\n"
    "EPS (contrle ponctuel);2;-\n"
    "Sciences de la Vie et de la Terre (1re);2;1h30\n"
    "Langue vivante 2;5;20min (oral)\n"
    "Langue vivante 1;5;3h\n"
    "Philosophie;4;4h\n"
    "Franais (1re);2 (crit) + 2 (oral);4h (crit) + 30min (oral)\n"
    "Histoire-Gographie;5;4h\n"
    "Mathmatiques;5;3h\n"
    "Sciences Economiques et Sociales;7;4h\n\t"
    /* (8) SES - Maths */
    "TPE (1re);2;30min\n"
    "EPS (contrle ponctuel);2;-\n"
    "Sciences de la Vie et de la Terre (1re);2;1h30\n"
    "Langue vivante 2;3;20min (oral)\n"
    "Langue vivante 1;3;3h\n"
    "Philosophie;4;4h\n"
    "Franais (1re);2 (crit) + 2 (oral);4h (crit) + 30min (oral)\n"
    "Histoire-Gographie;5;4h\n"
    "Mathmatiques;7;3h\n"
    "Sciences Economiques et Sociales;7;4h\n\t"
    /* (9) SES - SES */
    "TPE (1re);2;30min (oral)\n"
    "EPS (contrle ponctuel);2;-\n"
    "Sciences de la Vie et de la Terre (1re);2;1h30\n"
    "Langue vivante 2;3;20min (oral)\n"
    "Langue vivante 1;3;3h\n"
    "Philosophie;4;4h\n"
    "Franais (1re);2 (crit) + 2 (oral);4h (crit) + 30min (oral)\n"
    "Histoire-Gographie;5;4h\n"
    "Mathmatiques;5;3h\n"
    "Sciences Economiques et Sociales;9;4h\n";
void SelectItem(HWND hDlg,int mat) {
    //Effacer toute la ListView
    SendMessage(GetDlgItem(hDlg,3),LVM_DELETEALLITEMS,0,0);
    //Recherche...
    char* nom,* coeff,* duree;
    char** tab=split(Filieres,"\t",0);
    char* tab2=strtok(tab[mat],"\n");
    while(tab2 != NULL) {
        char** tab3=split(tab2,";",0);
        nom=tab3[0];
        coeff=tab3[1];
        duree=tab3[2];
        Ajouter(hDlg,nom,coeff,duree);
        free(tab3);
        tab2=strtok(NULL,"\n");
    }
    free(tab);
}
char Matieres[]=
    "L - Langue vivante 1;"
    "L - Langue vivante 2;"
    "L - Mathmatiques;"
    "      ;"
    "S - S.I;"
    "S - S.V.T :;"
    " S.V.T;"
    " Mathmatiques;"
    " Physique/Chimie;"
    "      ;"
    "S.E.S - Langues viv.;"
    "S.E.S - Maths;"
    "S.E.S - S.E.S";
